OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
mpool_sm.h File Reference
`#include "ompi_config.h"`
`#include "opal/mca/event/event.h"`
`#include "ompi/mca/common/sm/common_sm.h"`
`#include "ompi/mca/mpool/mpool.h"`
`#include "ompi/mca/allocator/allocator.h"`

Go to the source code of this file.

## Data Structures
struct | mca_mpool_sm_component_t
struct | mca_mpool_base_resources_t
struct | mca_mpool_sm_module_t

## Typedefs
typedef struct mca_mpool_sm_component_t | mca_mpool_sm_component_t
typedef struct mca_mpool_base_resources_t | mca_mpool_base_resources_t
typedef struct mca_mpool_sm_module_t | mca_mpool_sm_module_t

## Functions
void | mca_mpool_sm_module_init (mca_mpool_sm_module_t *mpool)
void * | mca_mpool_sm_base (mca_mpool_base_module_t *)
void * | mca_mpool_sm_alloc (mca_mpool_base_module_t *mpool, size_t size, size_t align, uint32_t flags, mca_mpool_base_registration_t **registration)
| Allocate block of shared memory. More...
void * | mca_mpool_sm_realloc (mca_mpool_base_module_t *mpool, void *addr, size_t size, mca_mpool_base_registration_t **registration)
| realloc function typedef More...
void | mca_mpool_sm_free (mca_mpool_base_module_t *mpool, void *addr, mca_mpool_base_registration_t *registration)
| free function typedef More...
int | mca_mpool_sm_ft_event (int state)
| Fault Tolerance Event Notification Function. More...

## Variables
OMPI_MODULE_DECLSPEC mca_mpool_sm_component_t | mca_mpool_sm_component

## Function Documentation

void* mca_mpool_sm_alloc | ( | mca_mpool_base_module_t * | mpool,
|  | size_t | size,
|  | size_t | align,
|  | uint32_t | flags,
|  | mca_mpool_base_registration_t ** | registration
| ) |  |

Allocate block of shared memory.

Allocate block of shared memory.

References mca_allocator_base_module_t::alc_alloc, opal_maffinity_base_segment_t::mbs_len, opal_maffinity_base_segment_t::mbs_start_addr, mca_base_component_2_0_0_t::mca_component_name, mca_mpool_base_module_t::mpool_component, and mca_mpool_base_component_2_0_0_t::mpool_version.

void mca_mpool_sm_free | ( | mca_mpool_base_module_t * | mpool,
|  | void * | addr,
|  | mca_mpool_base_registration_t * | registration
| ) |  |

free function typedef

free function typedef

References mca_allocator_base_module_t::alc_free.

int mca_mpool_sm_ft_event | ( | int | state | ) |

Fault Tolerance Event Notification Function.

Parameters

  state | Checkpoint Stae

Returns
  OMPI_SUCCESS or failure status

void* mca_mpool_sm_realloc | ( | mca_mpool_base_module_t * | mpool,
|  | void * | addr,
|  | size_t | size,
|  | mca_mpool_base_registration_t ** | registration
| ) |  |

realloc function typedef

realloc function typedef

References mca_allocator_base_module_t::alc_realloc, opal_maffinity_base_segment_t::mbs_len, and opal_maffinity_base_segment_t::mbs_start_addr.